Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 03 Mar 2021 01:39:02 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi
My order no are 9636848898  2 items and 9636991849  1 item, pants in size XL
I had requested return for these items and have already returned them back about a week ago but a few days earlier I got an email saying that my return request has been cancelled on my request. I've already returned the items, I need my refund asap.
Also, this is now happening very frequently with me
My previous returns were also delayed and I had to face alot of inconvenience. I've been shopping with landmark since a quite a few years now and this never used to happen before 
Please look into it and refund my credit ASAP 
Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2180016